This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the convert audio file endpoint.
An array with URLs for the converted vocal audio files, if the conversion was successful. Unless the generations_count parameter was set higher than 1, in the convert audio file request, this array will only contain one URL.
The number of semitones the input audio was transposed by during the conversion task. A positive value indicates an upward transposition, while a negative value indicates a downward transposition.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Revocalize AI API Documentation","colors":{"primary":"#da45f0","light":"#da45f0","dark":"#da45f0"},"favicon":"/favicon.png","logo":{"light":"https://mintcdn.com/revocalizeai/9jeYCpmMrKud-Loh/logo/revocalize-logo-white.svg?fit=max\u0026auto=format\u0026n=9jeYCpmMrKud-Loh\u0026q=85\u0026s=e3564059cd0f1fcc43315bfc7fa54e65","dark":"https://mintcdn.com/revocalizeai/9jeYCpmMrKud-Loh/logo/revocalize-logo.svg?fit=max\u0026auto=format\u0026n=9jeYCpmMrKud-Loh\u0026q=85\u0026s=542c9ce51b6a90d672828ce4f0455dc6","href":"https://www.revocalize.ai"},"api":{"mdx":{"server":null,"auth":{"method":"bearer","name":null}}},"background":{"image":"https://mintlify.s3.us-west-1.amazonaws.com/revocalizeai/images/lightbackground.png","decoration":null},"navbar":{"links":[{"label":"Login","href":"https://www.revocalize.ai/sign-in"}],"primary":{"type":"button","label":"Get API Key","href":"https://www.revocalize.ai/sign-up"}},"footer":{"socials":{"website":"https://www.revocalize.ai","twitter":"https://twitter.com/Revocalize","linkedin":"https://www.linkedin.com/company/revocalize","instagram":"https://instagram.com/revocalize.ai"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"revocalizeai","hasAudioNarration":false,"actualSubdomain":"revocalizeai","customDomains":["docs.revocalize.ai"],"gitSource":{"type":"github","owner":"Revocalize","repo":"revocalize-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c35bcd12361a7c95004c","collectionId":"7ea3a9f7-e7fd-4b37-9282-22cc54c68f1a","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae9152517875ca6d2a1edf3:success","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Documentation","count":8},{"language":"default","tag":"Voice Models API","count":2},{"language":"default","tag":"Voice Conversion API","count":2},{"language":"default","tag":"Training AI Voice Models","count":2},{"language":"default","tag":"Authentication","count":1},{"language":"default","tag":"Revocalize AI","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/synthesis/get","slug":"/api-reference/synthesis/get","pageMetadata":{"title":"Check Task Status","api":"GET https://api.revocalize.ai/check-task/{task_id}","description":"This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the [convert audio file endpoint](/api-reference/synthesis/create).","authMethod":"bearer","href":"/api-reference/synthesis/get"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the \", _jsx(_components.a, {\n href: \"/api-reference/synthesis/create\",\n children: \"convert audio file endpoint\"\n }), \".\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`request`,children:`Request`}),`\n`,_jsx(ParamField,{path:`task_id`,type:`string`,required:true,id:`param-task-id`,children:_jsxs(_components.p,{children:[`The task ID for the task you want to check the status of. This is generated in the response of the `,_jsx(_components.code,{children:`/convert`}),` endpoint.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:_jsxs(_components.p,{children:[`Indicates the status of the task. Possible values are `,_jsx(_components.code,{children:`completed`}),`, `,_jsx(_components.code,{children:`in_progress`}),`, and `,_jsx(_components.code,{children:`failed`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`input_audio_url`,type:`string`,id:`param-input-audio-url`,children:_jsx(_components.p,{children:`The URL of the input audio file that was submitted for conversion.`})}),`\n`,_jsx(ResponseField,{name:`output_audio_urls`,type:`array`,id:`param-output-audio-urls`,children:_jsxs(_components.p,{children:[`An array with URLs for the converted vocal audio files, if the conversion was successful. Unless the `,_jsx(_components.code,{children:`generations_count`}),` parameter was set higher than 1, in the convert audio file request, this array will only contain one URL.`]})}),`\n`,_jsxs(ResponseField,{name:`output_settings`,type:`object`,id:`param-output-settings`,children:[_jsx(_components.p,{children:`The output settings used for the conversion task. This object contains the following properties:`}),_jsxs(Expandable,{title:`output settings object`,children:[_jsx(ResponseField,{name:`model`,type:`string`,id:`param-model`,children:_jsx(_components.p,{children:`The ID of the model used for the conversion task.`})}),_jsx(ResponseField,{name:`transpose`,type:`integer`,id:`param-transpose`,children:_jsx(_components.p,{children:`The number of semitones the input audio was transposed by during the conversion task. A positive value indicates an upward transposition, while a negative value indicates a downward transposition.`})}),_jsx(ResponseField,{name:`vocal_style`,type:`string`,id:`param-vocal-style`,children:_jsxs(_components.p,{children:[`The vocal style used for the conversion task. Possible values are `,_jsx(_components.code,{children:`melodic`}),`, `,_jsx(_components.code,{children:`rhythmic`}),`, and `,_jsx(_components.code,{children:`spoken`}),`.`]})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Check Task Status","api":"GET https://api.revocalize.ai/check-task/{task_id}","description":"This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the [convert audio file endpoint](/api-reference/synthesis/create).","authMethod":"bearer","href":"/api-reference/synthesis/get"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`request`,children:`Request`}),`\n`,_jsx(ParamField,{path:`task_id`,type:`string`,required:true,id:`param-task-id`,children:_jsxs(_components.p,{children:[`The task ID for the task you want to check the status of. This is generated in the response of the `,_jsx(_components.code,{children:`/convert`}),` endpoint.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:_jsxs(_components.p,{children:[`Indicates the status of the task. Possible values are `,_jsx(_components.code,{children:`completed`}),`, `,_jsx(_components.code,{children:`in_progress`}),`, and `,_jsx(_components.code,{children:`failed`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`input_audio_url`,type:`string`,id:`param-input-audio-url`,children:_jsx(_components.p,{children:`The URL of the input audio file that was submitted for conversion.`})}),`\n`,_jsx(ResponseField,{name:`output_audio_urls`,type:`array`,id:`param-output-audio-urls`,children:_jsxs(_components.p,{children:[`An array with URLs for the converted vocal audio files, if the conversion was successful. Unless the `,_jsx(_components.code,{children:`generations_count`}),` parameter was set higher than 1, in the convert audio file request, this array will only contain one URL.`]})}),`\n`,_jsxs(ResponseField,{name:`output_settings`,type:`object`,id:`param-output-settings`,children:[_jsx(_components.p,{children:`The output settings used for the conversion task. This object contains the following properties:`}),_jsxs(Expandable,{title:`output settings object`,children:[_jsx(ResponseField,{name:`model`,type:`string`,id:`param-model`,children:_jsx(_components.p,{children:`The ID of the model used for the conversion task.`})}),_jsx(ResponseField,{name:`transpose`,type:`integer`,id:`param-transpose`,children:_jsx(_components.p,{children:`The number of semitones the input audio was transposed by during the conversion task. A positive value indicates an upward transposition, while a negative value indicates a downward transposition.`})}),_jsx(ResponseField,{name:`vocal_style`,type:`string`,id:`param-vocal-style`,children:_jsxs(_components.p,{children:[`The vocal style used for the conversion task. Possible values are `,_jsx(_components.code,{children:`melodic`}),`, `,_jsx(_components.code,{children:`rhythmic`}),`, and `,_jsx(_components.code,{children:`spoken`}),`.`]})})]})]}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`Example Request`,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --location`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://api.revocalize.ai/check-task/12345'`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`--header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Authorization: Bearer \u003ctoken>'`})]}),`\n`]})})})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`Finished Task`,numberOfLines:`12`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`12`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"completed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"input_audio_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://cdn.revocalize.ai/12345/input.wav\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"output_audio_urls\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://cdn.revocalize.ai/12345/output.wav\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"output_settings\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"andra\"`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"transpose\"`}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` -3`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"vocal_style\"`}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"melodic\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`In progress Task`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"in_progress\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Failed Task`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"failed\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Check Task Status","api":"GET https://api.revocalize.ai/check-task/{task_id}","description":"This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the [convert audio file endpoint](/api-reference/synthesis/create).","authMethod":"bearer","href":"/api-reference/synthesis/get"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Request","slug":"request","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"Example Request","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --location\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --request\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> GET\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'https://api.revocalize.ai/check-task/12345'\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">--header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Content-Type: application/json'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'Authorization: Bearer \u0026#x3C;token>'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Finished Task","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"12\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"completed\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"input_audio_url\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://cdn.revocalize.ai/12345/input.wav\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"output_audio_urls\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"https://cdn.revocalize.ai/12345/output.wav\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"output_settings\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"model\"\u003c/span>\u003cspan style=\"color:#82071E;--shiki-light-font-style:italic;--shiki-dark:#F44747;--shiki-dark-font-style:inherit\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"andra\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"transpose\"\u003c/span>\u003cspan style=\"color:#82071E;--shiki-light-font-style:italic;--shiki-dark:#F44747;--shiki-dark-font-style:inherit\">:\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> -3\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"vocal_style\"\u003c/span>\u003cspan style=\"color:#82071E;--shiki-light-font-style:italic;--shiki-dark:#F44747;--shiki-dark-font-style:inherit\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"melodic\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"In progress Task","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"in_progress\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Failed Task","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"failed\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Check Task Status","path":"/check-task/{task_id}","servers":[{"url":"https://api.revocalize.ai"}],"method":"get","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{"task_id":{"schema":[{"type":"string","description":"The task ID for the task you want to check the status of. This is generated in the response of the `/convert` endpoint.","required":true}]}}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"status":[{"type":"string","description":"Indicates the status of the task. Possible values are `completed` , `in_progress` , and `failed` ."}],"input_audio_url":[{"type":"string","description":"The URL of the input audio file that was submitted for conversion."}],"output_audio_urls":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"An array with URLs for the converted vocal audio files, if the conversion was successful. Unless the `generations_count` parameter was set higher than 1, in the convert audio file request, this array will only contain one URL."}],"output_settings":[{"type":"object","properties":{"model":[{"type":"string","description":"The ID of the model used for the conversion task."}],"transpose":[{"type":"integer","description":"The number of semitones the input audio was transposed by during the conversion task. A positive value indicates an upward transposition, while a negative value indicates a downward transposition."}],"vocal_style":[{"type":"string","description":"The vocal style used for the conversion task. Possible values are `melodic` , `rhythmic` , and `spoken` ."}]},"description":"The output settings used for the conversion task. This object contains the following properties:"}]}}],"examples":{"example":{"value":{"status":"\u003cstring>","input_audio_url":"\u003cstring>","output_audio_urls":[{}],"output_settings":{"model":"\u003cstring>","transpose":123,"vocal_style":"\u003cstring>"}}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"revocalizeai","siteName":"Revocalize AI API Documentation","title":"Check Task Status - Revocalize AI API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-06T22:49:38.163Z","originalFileLocation":"api-reference/synthesis/get.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the convert audio file endpoint.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Revocalize AI API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Check Task Status - Revocalize AI API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the convert audio file endpoint.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Revocalize AI API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.revocalize.ai/api-reference/synthesis/get\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://revocalizeai.mintlify.site/_mintlify/api/og/v2?division=Voice+Conversion+API\u0026amp;title=Check+Task+Status\u0026amp;description=This+endpoint+checks+the+status+of+a+conversion+task.+This+is+useful+if+you+want+to+check+the+status+of+a+task+that+you+submitted+to+the+%5Bconvert+audio+file+end\u0026amp;theme=e302b621912fc8d32a6d304b\u0026amp;signature=c8d9a8a447aa70aca2fc9721a3be473b533905c5700bc3e99b1472062e0284f9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Check Task Status - Revocalize AI API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the convert audio file endpoint.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://revocalizeai.mintlify.site/_mintlify/api/og/v2?division=Voice+Conversion+API\u0026amp;title=Check+Task+Status\u0026amp;description=This+endpoint+checks+the+status+of+a+conversion+task.+This+is+useful+if+you+want+to+check+the+status+of+a+task+that+you+submitted+to+the+%5Bconvert+audio+file+end\u0026amp;theme=e302b621912fc8d32a6d304b\u0026amp;signature=c8d9a8a447aa70aca2fc9721a3be473b533905c5700bc3e99b1472062e0284f9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/revocalizeai/CGy8EKCRSWmhNGlW/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Revocalize AI API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#da45f0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.revocalize.ai/api-reference/synthesis/get\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/synthesis/get.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.revocalize.ai/#organization\",\"name\":\"Revocalize AI API Documentation\",\"url\":\"https://docs.revocalize.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/revocalizeai/9jeYCpmMrKud-Loh/logo/revocalize-logo-white.svg?fit=max\u0026auto=format\u0026n=9jeYCpmMrKud-Loh\u0026q=85\u0026s=e3564059cd0f1fcc43315bfc7fa54e65\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.revocalize.ai#website\",\"name\":\"Revocalize AI API Documentation\",\"url\":\"https://docs.revocalize.ai\",\"publisher\":{\"@id\":\"https://docs.revocalize.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.revocalize.ai/api-reference/synthesis/get#webpage\",\"url\":\"https://docs.revocalize.ai/api-reference/synthesis/get\",\"name\":\"Check Task Status\",\"description\":\"This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the convert audio file endpoint.\",\"dateModified\":\"2026-01-06T22:49:38.163Z\",\"isPartOf\":{\"@id\":\"https://docs.revocalize.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.revocalize.ai/api-reference/synthesis/get#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.revocalize.ai/api-reference/synthesis/get#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Voice Conversion API\",\"item\":\"https://docs.revocalize.ai/api-reference/synthesis/create\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Check Task Status\",\"item\":\"https://docs.revocalize.ai/api-reference/synthesis/get\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.revocalize.ai/api-reference/synthesis/get#apireference\",\"headline\":\"Check Task Status\",\"name\":\"Check Task Status\",\"description\":\"This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the convert audio file endpoint.\",\"url\":\"https://docs.revocalize.ai/api-reference/synthesis/get\",\"mainEntityOfPage\":{\"@id\":\"https://docs.revocalize.ai/api-reference/synthesis/get#webpage\"},\"dateModified\":\"2026-01-06T22:49:38.163Z\",\"publisher\":{\"@id\":\"https://docs.revocalize.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.revocalize.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Revocalize AI API Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Revocalize AI API Documentation","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":"book-open","groups":[{"group":"Revocalize AI","pages":[{"title":"Revocalize AI API Documentation 🎙️ (BETA)","sidebarTitle":"Getting Started","href":"/introduction"}]},{"group":"Authentication","pages":[{"title":"Setup Authentication","href":"/authentication"}]},{"group":"Voice Conversion API","pages":[{"title":"Convert Audio File","api":"POST https://api.revocalize.ai/convert","description":"This endpoint takes a WAV vocal audio file and returns a URL string with the converted vocals audio file.","href":"/api-reference/synthesis/create"},{"title":"Check Task Status","api":"GET https://api.revocalize.ai/check-task/{task_id}","href":"/api-reference/synthesis/get"}]},{"group":"Voice Models API","pages":[{"title":"Get Available Models","api":"GET https://api.revocalize.ai/models","description":"The ```/models``` endpoint returns the available AI Voice Models for your Revocalize account. Any of the available models can be used in the [Voice Synthesis API](/api-reference/synthesis/create) to create audio generations.","href":"/api-reference/models/get"},{"title":"Create Model","api":"POST https://api.revocalize.ai/models/create","href":"/api-reference/models/create"}]},{"group":"Training AI Voice Models","pages":[{"title":"Creating AI Voices","href":"/api-reference/training/get"},{"title":"Train Model","api":"POST https://api.revocalize.ai/models/{model_id}/train","href":"/api-reference/training/train"}]}]},{"anchor":"Partners Program","href":"https://www.revocalize.ai/affiliate","icon":"handshake"},{"anchor":"Try Live Demo","href":"https://www.revocalize.ai/ai-voice-generator","icon":"bullseye-pointer"},{"anchor":"Download Audio Plugin","href":"https://www.revocalize.ai/download-audio-plugin","icon":"arrow-down-to-bracket"},{"anchor":"Python SDK","href":"https://github.com/Revocalize/revocalize-python","icon":"python"},{"anchor":"Contact Us","href":"mailto:[email protected]","icon":"envelope"}]},"basePath":"","title":"Check Task Status - Revocalize AI API Documentation","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js"]}